Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516231 - 100% CPU usage on windows guests and incorrect %changelog
Summary: 100% CPU usage on windows guests and incorrect %changelog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: edk2
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paolo Bonzini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 10:33 UTC by James Hogarth
Modified: 2018-09-27 16:17 UTC (History)
5 users (show)

Fixed In Version: edk2-20180815gitcb5f4f45ce-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-27 16:17:12 UTC


Attachments (Terms of Use)

Description James Hogarth 2017-11-22 10:33:24 UTC
Description of problem:
Trying to carry out a UEFI/Q35 based windows install results in a 100% CPU hang without the install actually starting. Tested but a win7 and win10 guest.

Version-Release number of selected component (if applicable):
edk2-ovmf-20170209git296153c5-5.fc27.noarch
qemu-kvm-2.10.1-1.fc27.x86_64
libvirt-3.7.0-2.fc27.x86_64
virt-manager-1.4.3-1.fc27.noarch

How reproducible:
Every time with with default options, just changing block/net to virtio and cdrom to SATA and the boot to UEFI/Q35.

Additional info:

I did a scratch build of the current rawhide package:

https://koji.fedoraproject.org/koji/taskinfo?taskID=23297835

This appeared to work fine on a Win7 install.

Can you please build this for F27 as a target? 

In addition please fix your %changelog as the versions don't align with the package version which made troubleshooting trickier than it should have been.

Comment 1 James Hogarth 2017-11-22 11:38:37 UTC
Hmm okay after testing windows installs ... on OVMF UEFI win7 reaches the point of "copying windows files" and then goes to a black screen with 100% usage (still better than 100% usage from the start and the installer never beginning) but it does install on win10... so the new build is still better than the current in F27.

So request still stands ... but for those testing look to win10 not win7 to test this.

Comment 2 James Hogarth 2017-11-22 15:41:16 UTC
Urgh scratch that ... a fresh build on that same UEFI firmware build hangs on start with 100% cpu still ...

No idea what's actually causing it.

If I get a diagnosis then I'll add detail.

Comment 3 Marc Jadoul 2018-01-04 12:42:56 UTC
Hello,

I had a windows 10 (UEFI + Q35 too) working yesterday on Fedora 26 and after upgrade to fedora 27 failling to boot this morning.

I installed edk2.git-ovmf-x64-0-20171123.b3132.g646127c192.noarch and edited the VM to point to /usr/share/edk2.git/ovmf-x64/OVMF_CODE-pure-efi.fd.

My VM is now working again.

Regards,

Marc

Comment 4 Fedora Update System 2018-08-31 19:38:49 UTC
edk2-20180815gitcb5f4f45ce-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db7b8aabc5

Comment 5 Fedora Update System 2018-09-02 05:22:37 UTC
edk2-20180815gitcb5f4f45ce-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-db7b8aabc5

Comment 6 Fedora Update System 2018-09-27 16:17:12 UTC
edk2-20180815gitcb5f4f45ce-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.